#2559 closed enhancement (fixed)

Delete the EXTERN pattern

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Change the following pattern:

some.h:

#ifndef SOME_XYZ_EXTERN
#define SOME_XYZ_EXTERN extern
#endif
SOME_XYZ_EXTERN type xyz;


some_xyz.c:

#define SOME_XYZ_EXTERN
#include <some.h>


into:

some.h:

extern type xyz;


some_xyz.c:

#include <some.h>
type xyz;

See discussion:

https://lists.rtems.org/pipermail/devel/2016-January/013506.html

Update Developer/Coding/Conventions accordingly.

Change History (18)

comment:1 Changed on Feb 4, 2016 at 12:00:29 PM by Sebastian Huber

Status: newaccepted

comment:2 Changed on Feb 17, 2016 at 8:41:58 AM by Sebastian Huber <sebastian.huber@…>

In d4e81e3c80259467adbd2472fce94aebec3935b5/rtems:

or1k: Delete superfluous _CPU_Null_fp_context

Update #2559.

comment:3 Changed on Feb 17, 2016 at 8:42:10 AM by Sebastian Huber <sebastian.huber@…>

In deaf71637ad7ecb3f3d233039bfefc33b1416957/rtems:

i386: Avoid SCORE_EXTERN

Update #2559.

comment:4 Changed on Feb 17, 2016 at 8:42:21 AM by Sebastian Huber <sebastian.huber@…>

In 59e6e76190383d396582263800e915d54fb0206f/rtems:

sh: Avoid SCORE_EXTERN

Update #2559.

comment:5 Changed on Feb 17, 2016 at 8:42:33 AM by Sebastian Huber <sebastian.huber@…>

In af3847a82af1a1eecce5a0b464d4685444040add/rtems:

epiphany: Delete superfluous _CPU_Null_fp_context

Update #2559.

comment:6 Changed on Feb 17, 2016 at 8:42:44 AM by Sebastian Huber <sebastian.huber@…>

In d638aca61b6d87a7912f634b3820b0e64efb0767/rtems:

mips: Avoid SCORE_EXTERN

Update #2559.

comment:7 Changed on Feb 17, 2016 at 8:42:56 AM by Sebastian Huber <sebastian.huber@…>

In 18a5db205c296b9e3d83a1c7d107e29a996fb12f/rtems:

m68k: Avoid SCORE_EXTERN

Update #2559.

comment:8 Changed on Feb 17, 2016 at 8:43:08 AM by Sebastian Huber <sebastian.huber@…>

In c60093406706cdfe000c093f23e0fd0972a28881/rtems:

lm32: Avoid SCORE_EXTERN

Update #2559.

comment:9 Changed on Feb 17, 2016 at 8:43:20 AM by Sebastian Huber <sebastian.huber@…>

In dab78624ebbdc97341497f9d0fe92ed7fe1c8167/rtems:

sparc: Avoid SCORE_EXTERN

Update #2559.

comment:10 Changed on Feb 17, 2016 at 8:43:32 AM by Sebastian Huber <sebastian.huber@…>

In 9f016ec97e9e514fc9bed345005b66d88bbec5d3/rtems:

no_cpu: Avoid SCORE_EXTERN

Update #2559.

comment:11 Changed on Feb 17, 2016 at 8:43:44 AM by Sebastian Huber <sebastian.huber@…>

In 142868b235a5e2a550080ad1d4698f057716cd25/rtems:

bfin: Delete superfluous _CPU_Null_fp_context

Update #2559.

comment:12 Changed on Feb 17, 2016 at 8:43:56 AM by Sebastian Huber <sebastian.huber@…>

In 6df892688513d2559d493c394f762e38b8267f2c/rtems:

moxie: Delete superfluous _CPU_Null_fp_context

Update #2559.

comment:13 Changed on Feb 17, 2016 at 8:44:07 AM by Sebastian Huber <sebastian.huber@…>

In 51dc9a6121f8d4716b8ee5849feb16f880ecb20c/rtems:

sparc64: Avoid SCORE_EXTERN

Update #2559.

comment:14 Changed on Feb 17, 2016 at 8:44:18 AM by Sebastian Huber <sebastian.huber@…>

In 358bd740593132ddb00d6e33b4f512b5f9615597/rtems:

score: Avoid SCORE_EXTERN

Delete SCORE_INIT. This finally removes the

some.h:

#ifndef SOME_XYZ_EXTERN
#define SOME_XYZ_EXTERN extern
#endif
SOME_XYZ_EXTERN type xyz;

some_xyz.c:

#define SOME_XYZ_EXTERN
#include <some.h>

pattern in favour of

some.h:

extern type xyz;

some_xyz.c

#include <some.h>
type xyz;

Update #2559.

comment:15 Changed on Feb 17, 2016 at 8:44:52 AM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:16 Changed on Mar 14, 2016 at 9:25:13 AM by Sebastian Huber <sebastian.huber@…>

In 62d2540daeb8dac70daa94ab490b626930f92009/rtems:

score: Delete unused SAPI_IO_EXTERN

Update #2559.

comment:17 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:18 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.